# $Revision: 1.980 $, $Date: 2011/09/23 19:18:29 $
#
# NOTE:
# the following bcond combos will not work
# - without_vserver and any of the following
#   - with_grsecurity
#
# LATEST VERSION CHECKER:
# # curl -s http://www.kernel.org/kdist/finger_banner
#
# TODO:
# - benchmark NO_HZ & HZ=1000 vs HZ=300 on i686
# - IPv4 source address selection for multihomed vservers is completely broken
#	meaning routing table is ignored except for default
#
# HOWTO update configuration files:
# - run build
# - add new options to proper config (kernel-multiarch.config, kernel-x86.config, kernel-powerpc.config etc)
# - sort configuration files using:
#   ./kernel-config-sort.pl ~/rpm/BUILD/kernel-%{version}/linux-%{version}/ -a x86 kernel-x86.config
#   ./kernel-config-sort.pl ~/rpm/BUILD/kernel-%{version}/linux-%{version} kernel-multiarch.config
#
# Conditional build:
%bcond_without	source		# don't build kernel-source package
%bcond_without	doc			# don't build kernel-doc package
%bcond_without	pcmcia		# don't build pcmcia

%bcond_with	verbose		# verbose build (V=1)
%bcond_with	reiser4		# support for reiser4 fs (experimental)

%bcond_without	grsecurity	# don't build grsecurity nor pax at all
%bcond_with	pax		# build pax and grsecurity (ie. grsecurity && pax)

%bcond_with	fbcondecor	# build fbcondecor (disable FB_TILEBLITTING and affected fb modules)
%bcond_with	pae		# build PAE (HIGHMEM64G) support on uniprocessor
%bcond_with	nfsroot		# build with root on NFS support

%bcond_without	imq		# imq support
%bcond_without	wrr		# wrr support
%bcond_without	esfq		# esfq support
%bcond_without	ipv6		# ipv6 support

%bcond_without	vserver		# support for VServer (enabled by default)
%bcond_with	tuxonice	# support for tuxonice (ex-suspend2) (enabled by default)

%bcond_with	vanilla		# don't include any patches
%bcond_with	rescuecd	# build kernel for our rescue
%bcond_with	myown		# build with your own config (kernel-myown.config)

%{?debug:%define with_verbose 1}

%if %{with vanilla}
%unglobal      with_grsecurity
%endif

%if %{without grsecurity}
%unglobal	with_pax
%endif

%if %{with pax}
%define		with_grsecurity		1
%define		with_pax		1
%endif

%define		have_drm	1
%define		have_oss	1
%define		have_sound	1
%define		have_pcmcia	1

%if %{with rescuecd}
%unglobal	with_tuxonice
%unglobal	with_grsecurity
%unglobal	with_pax
%unglobal	with_vserver
%define		have_drm	0
%define		have_sound	0
%endif

%if %{with myown}
%define		have_drm	0
%define		have_oss	0
%define		have_sound	0
%define		have_pcmcia	0
%endif

%ifarch sparc sparc64
%unglobal	with_pcmcia
%define		have_drm	0
%define		have_oss	0
%endif

%if %{without pcmcia}
%define		have_pcmcia	0
%endif

%define		basever		3.0
%define		postver		.4
%define		rel		3.2

%define		_enable_debug_packages			0

%define		tuxonice_version	3.2

%define		module_init_tools_ver	3.16

%if %{with myown}
%if "%{_alt_kernel}" == ""
%define		alt_kernel	myown
%endif
%else # not myown:
%if %{with vanilla}
%define		alt_kernel	vanilla
%else # not vanilla:
%if %{with rescuecd}
%define		alt_kernel	rescuecd
%else # not rescuecd:
%define		__alt_kernel	%{?with_pax:pax}%{!?with_grsecurity:nogrsecurity}%{?with_pae:pae}
%if "%{__alt_kernel}" != ""
%define		alt_kernel	%{__alt_kernel}
%endif
%endif # not rescuecd
%endif # not vanilla
%endif # not myown

# kernel release (used in filesystem and eventually in uname -r)
# modules will be looked from /lib/modules/%{kernel_release}
# localversion is just that without version for "> localversion"
%define		localversion	%{rel}
%define		kernel_release	%{version}%{?alt_kernel:_%{alt_kernel}}-%{localversion}

Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de.UTF-8):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(et.UTF-8):	Linuxi kernel (ehk operatsioonisüsteemi tuum)
Summary(fr.UTF-8):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl.UTF-8):	Jądro Linuksa
Name:		kernel%{_alt_kernel}
Version:	%{basever}%{postver}
Release:	%{rel}
Epoch:		3
License:	GPL v2
Group:		Base/Kernel
Source0:	http://www.kernel.org/pub/linux/kernel/v3.0/linux-%{basever}.tar.bz2
# Source0-md5:	398e95866794def22b12dfbc15ce89c0
%if "%{postver}" != ".0"
Source1:	http://www.kernel.org/pub/linux/kernel/v3.0/patch-%{version}.bz2
# Source1-md5:	62ca5f3caed233617127b2b3b7a87d15
%endif

Source3:	kernel-autoconf.h
Source4:	kernel-config.h
Source6:	kernel-config.awk
Source7:	kernel-module-build.pl
Source8:	kernel-track-config-change.awk
# not used by kernel.spec, but it's good to have it in SOURCES
Source9:	kernel-config-sort.pl
Source10:	kernel.make

Source20:	kernel-multiarch.config
Source21:	kernel-x86.config
Source22:	kernel-sparc.config
Source23:	kernel-alpha.config
Source24:	kernel-powerpc.config
Source25:	kernel-ia64.config

Source41:	kernel-patches.config
Source42:	kernel-tuxonice.config
Source43:	kernel-vserver.config
Source45:	kernel-grsec.config

Source49:	kernel-pax.config
Source50:	kernel-no-pax.config
Source55:	kernel-imq.config
Source56:	kernel-reiser4.config
Source57:	kernel-wrr.config

Source58:	kernel-inittmpfs.config

# http://dev.gentoo.org/~spock/projects/fbcondecor/archive/fbcondecor-0.9.4-2.6.25-rc6.patch
Patch3:		kernel-fbcondecor.patch
Patch4:		kernel-fbcon-margins.patch
Patch5:		linux-wistron-amilo8210.patch

# netfilter related stuff mostly based on patch-o-matic-ng
# snapshot 20070806 with some fixes. Some modules
# were ported to nf_conntrack.

Patch10:	kernel-pom-ng-IPV4OPTSSTRIP.patch

Patch16:	kernel-pom-ng-mms-conntrack-nat.patch
Patch22:	kernel-pom-ng-rsh.patch
Patch23:	kernel-pom-ng-rpc.patch

# based on http://mike.it-loops.com/rtsp/rtsp-2.6.26.patch
Patch36:	kernel-nf_rtsp.patch

# http://ftp.linux-vserver.org/pub/people/dhozac/p/k/delta-owner-xid-feat02.diff
Patch37:	kernel-owner-xid.patch

# based on kernel-2.6.25-layer7-2.20.patch from
# http://switch.dl.sourceforge.net/sourceforge/l7-filter/netfilter-layer7-v2.20.tar.gz
Patch40:	kernel-layer7.patch

### End netfilter

# http://zph.bratcheda.org/linux-2.6.26.3-zph.patch
Patch49:	kernel-zph.patch

# based on http://www.linuximq.net/patchs/linux-2.6.39-imq-multiqueue-test1.diff.bz2
Patch50:	kernel-imq.patch

# http://www.kernel.org/pub/linux/kernel/people/edward/reiser4/reiser4-for-2.6/reiser4-for-2.6.35.patch.bz2
Patch51:	kernel-reiser4.patch

# http://www.zz9.dk/patches/wrr-linux-071203-2.6.25.patch.gz
Patch52:	kernel-wrr.patch

# http://fatooh.org/esfq-2.6/sfq-2.6.24.1.tar.bz2
Patch53:	kernel-esfq.patch

# http://memebeam.org/free-software/toshiba_acpi/toshiba_acpi-dev_toshiba_test5-linux_2.6.26.patch
Patch54:	kernel-toshiba_acpi.patch

# by Baggins request:
# derived from ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-kernel-diffs
Patch55:	kernel-atm-vbr.patch
Patch56:	kernel-atmdd.patch

# http://synce.svn.sourceforge.net/svnroot/synce/trunk/patches/linux-2.6.22-rndis_host-wm5.patch
Patch59:	kernel-rndis_host-wm5.patch

# Project suspend2 renamed to tuxonice
# http://tuxonice.net/files/current-tuxonice-for-2.6.37.patch_0.bz2
# NOTE: currently using own diff from tuxonice git tree until official patch is released
# git://git.kernel.org/pub/scm/linux/kernel/git/nigelc/tuxonice-head.git
# git://git.kernel.org/pub/scm/linux/kernel/git/nigelc/tuxonice-<basever>.git
# To produce patch: git diff upstream/master...tuxonice/combined
Patch69:	kernel-tuxonice.patch
Patch70:	kernel-tuxonice-headers.patch

# adds some ids for hostap suported cards and monitor_enable from/for aircrack-ng
# http://patches.aircrack-ng.org/hostap-kernel-2.6.18.patch
Patch85:	kernel-hostap.patch

# http://vserver.13thfloor.at/Experimental/patch-3.0.4-vs2.3.1-pre10.1.diff
Patch100:	kernel-vserver-2.3.patch
Patch101:	kernel-vserver-fixes.patch

# Wake-On-Lan fix for nForce drivers; using http://atlas.et.tudelft.nl/verwei90/nforce2/wol.html
# Fix verified for that kernel version.
Patch130:	kernel-forcedeth-WON.patch

# http://download.filesystems.org/unionfs/unionfs-2.x/unionfs-2.5.8_for_2.6.38-rc7.diff.gz
Patch140:	kernel-unionfs.patch

# git://aufs.git.sourceforge.net/gitroot/aufs/aufs3-standalone.git, read README
# Patch creation:
# git clone git://aufs.git.sourceforge.net/gitroot/aufs/aufs3-standalone.git
# cd aufs3-standalone
# git checkout -b aufs3.0 origin/aufs3.0
# cat aufs3-kbuild.patch aufs3-base.patch aufs3-standalone.patch > ~/rpm/packages/kernel/kernel-aufs3.patch
# mkdir linux
# cp -a Documentation fs include linux
# diff -urN /usr/share/empty linux >> ~/rpm/packages/kernel/kernel-aufs3.patch 
#
Patch145:	kernel-aufs3.patch
Patch146:	kernel-aufs2-unionfs.patch
Patch147:	kernel-aufs2-no-const-grsec.patch
Patch148:	kernel-aufs2-reiser4.patch

# Show normal colors in menuconfig with ncurses ABI 6
Patch250:	kernel-fix_256colors_menuconfig.patch

# https://patchwork.kernel.org/patch/236261/
Patch400:	kernel-virtio-gl-accel.patch

Patch2000:	kernel-small_fixes.patch
Patch2001:	kernel-pwc-uncompress.patch
Patch2003:	kernel-regressions.patch

# 0001-AppArmor-compatibility-patch-for-v5-network-controll.patch
# 0002-AppArmor-compatibility-patch-for-v5-interface.patch
# from http://kernel.org/pub/linux/security/apparmor/apparmor-2.6.36-patches.tgz
Patch5000:	kernel-apparmor.patch

# for rescuecd
# based on ftp://ftp.leg.uct.ac.za/pub/linux/rip/tmpfs_root-2.6.30.diff.gz
Patch7000:	kernel-inittmpfs.patch

# based on http://grsecurity.net/~spender/grsecurity-2.2.2-3.0.4-201109190917.patch
# NOTE: put raw upstream patches on kernel-grsec_full.patch:GRSECURITY_RAW for reference
#       (since upstream deletes older patches)
Patch9999:	kernel-grsec_full.patch
Patch10000:	kernel-grsec-caps.patch
Patch10001:	kernel-grsec-common.patch
Patch10002:	kernel-grsec_fixes.patch

# Do not remove this line, please. It is easier for me to uncomment two lines, then patch
# kernel.spec every time.
#Patch50000:	kernel-usb_reset.patch

URL:		http://www.kernel.org/
BuildRequires:	binutils >= 3:2.18
%ifarch sparc sparc64
BuildRequires:	elftoaout
%endif
%ifarch ppc
BuildRequires:	uboot-mkimage
%endif
BuildRequires:	/sbin/depmod
BuildRequires:	gcc >= 5:3.2
BuildRequires:	xz >= 1:4.999.7
AutoReqProv:	no
BuildRequires:	hostname
BuildRequires:	module-init-tools >= %{module_init_tools_ver}
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.5-24
BuildRequires:	rpmbuild(macros) >= 1.217
Requires(post):	coreutils
Requires(post):	geninitrd >= 10000-3
Requires(post):	module-init-tools >= %{module_init_tools_ver}
Requires:	/sbin/depmod
Requires:	coreutils
Requires:	geninitrd >= 10000-3
Requires:	module-init-tools >= %{module_init_tools_ver}
Suggests:	keyutils
Provides:	%{name}(netfilter) = 20070806
Provides:	%{name}(vermagic) = %{kernel_release}
Obsoletes:	kernel%{_alt_kernel}-isdn-mISDN
Obsoletes:	kernel%{_alt_kernel}-char-lirc-ene0100
Obsoletes:	kernel%{_alt_kernel}-char-lirc-it87
Obsoletes:	kernel%{_alt_kernel}-char-lirc-ite8709
Obsoletes:	kernel%{_alt_kernel}-char-lirc-mceusb
Obsoletes:	kernel%{_alt_kernel}-char-lirc-streamzap
Obsoletes:	kernel-firmware
Obsoletes:	kernel-misc-acer_acpi
Obsoletes:	kernel-misc-fuse
Obsoletes:	kernel-misc-uvc
Obsoletes:	kernel-modules
Obsoletes:	kernel-net-ar81
Obsoletes:	kernel-net-hostap
Obsoletes:	kernel-net-ieee80211
Obsoletes:	kernel-net-ipp2p
Obsoletes:	kernel-net-rt61
Obsoletes:	kernel-smp
Conflicts:	e2fsprogs < 1.29
Conflicts:	isdn4k-utils < 3.1pre1
Conflicts:	jfsutils < 1.1.3
Conflicts:	lvm2 < 2.02.40
Conflicts:	nfs-utils < 1.0.5
Conflicts:	oprofile < 0.9
Conflicts:	ppp < 1:2.4.0
Conflicts:	procps < 3.2.0
Conflicts:	quota-tools < 3.09
%{?with_reiserfs4:Conflicts:	reiser4progs < 1.0.0}
Conflicts:	reiserfsprogs < 3.6.3
Conflicts:	rpm < 4.4.2-0.2
Conflicts:	udev < 1:081
Conflicts:	util-linux < 2.10o
Conflicts:	util-vserver < 0.30.216
Conflicts:	xfsprogs < 2.6.0
%if %{with pae}
ExcludeArch:	i386 i486 i586
%else
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 ppc ppc64 sparc sparc64
%endif
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{ix86} %{x8664}
%define		target_arch_dir		x86
%endif
%ifarch ppc ppc64
%define		target_arch_dir		powerpc
%endif
%ifarch sparc sparc64
%define		target_arch_dir		sparc
%endif
%ifnarch %{ix86} %{x8664} ppc ppc64 sparc sparc64
%define		target_arch_dir		%{_target_base_arch}
%endif

%define		defconfig	arch/%{target_arch_dir}/defconfig

# No ELF objects there to strip (skips processing 27k files)
%define		_noautostrip	\\(.*%{_kernelsrcdir}/.*\\|.*/vmlinux.*\\)
%define		_noautochrpath	.*%{_kernelsrcdir}/.*

%ifarch ia64
%define		initrd_dir	/boot/efi
%else
%define		initrd_dir	/boot
%endif

%define		topdir		%{_builddir}/%{name}-%{version}
%define		srcdir		%{topdir}/linux-%{basever}
%define		objdir		%{topdir}/%{targetobj}
%define		targetobj	%{_target_base_arch}-gcc-%(%{kgcc} -dumpversion)

%define		_kernelsrcdir	/usr/src/linux%{_alt_kernel}-%{version}

%if "%{_target_base_arch}" != "%{_arch}"
	%define CrossOpts ARCH=%{_target_base_arch} CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%define	DepMod /bin/true

	%if "%{_arch}" == "sparc" && "%{_target_base_arch}" == "sparc64"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "sparc64" && "%{_target_base_arch}" == "sparc"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "x86_64" && "%{_target_base_arch}" == "i386"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_target_base_arch}" == "ppc" || "%{_target_base_arch}" == "ppc64"
	%define CrossOpts ARCH=powerpc CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%endif
%else
	%ifarch ppc ppc64
	%define CrossOpts ARCH=powerpc CC="%{__cc}"
	%else
	%define CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%endif
	%define	DepMod /sbin/depmod
%endif
%define MakeOpts %{CrossOpts} HOSTCC="%{__cc}"

%define __features \
%{?with_grsecurity:Grsecurity support - enabled}\
%{?with_pax:PaX support - enabled}\
%{?with_fbcondecor:Fbsplash/fbcondecor - enabled }\
%{?with_nfsroot:Root on NFS - enabled}\

%define Features %(echo "%{__features}" | sed '/^$/d')

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%{Features}

%description -l de.UTF-8
Das Kernel-Paket enthält den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist für grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Prozeß-Management, Geräte Ein- und Ausgaben, usw.

%{Features}

%description -l fr.UTF-8
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un système d'exploitation Linux. Le noyau traite les
fonctions basiques d'un système d'exploitation: allocation mémoire,
allocation de process, entrée/sortie de peripheriques, etc.

%{Features}

%description -l pl.UTF-8
Pakiet zawiera jądro Linuksa niezbędne do prawidłowego działania
Twojego komputera. Zawiera w sobie sterowniki do sprzętu znajdującego
się w komputerze, takiego jak sterowniki dysków itp.

%{Features}

%package vmlinux
Summary:	vmlinux - uncompressed kernel image
Summary(de.UTF-8):	vmlinux - dekompressiertes Kernel Bild
Summary(pl.UTF-8):	vmlinux - rozpakowany obraz jądra
Group:		Base/Kernel
Obsoletes:	kernel-smp-vmlinux

%description vmlinux
vmlinux - uncompressed kernel image.

%description vmlinux -l de.UTF-8
vmlinux - dekompressiertes Kernel Bild.

%description vmlinux -l pl.UTF-8
vmlinux - rozpakowany obraz jądra.

%package drm
Summary:	DRM kernel modules
Summary(de.UTF-8):	DRM Kernel Treiber
Summary(pl.UTF-8):	Sterowniki DRM
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-drm
AutoReqProv:	no

%description drm
DRM kernel modules.

%description drm -l de.UTF-8
DRM Kernel Treiber.

%description drm -l pl.UTF-8
Sterowniki DRM.

%package pcmcia
Summary:	PCMCIA modules
Summary(de.UTF-8):	PCMCIA Module
Summary(pl.UTF-8):	Moduły PCMCIA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-pcmcia
Conflicts:	pcmcia-cs < 3.1.21
Conflicts:	pcmciautils < 004
AutoReqProv:	no

%description pcmcia
PCMCIA modules.

%description pcmcia -l de.UTF-8
PCMCIA Module.

%description pcmcia -l pl.UTF-8
Moduły PCMCIA.

%package sound-alsa
Summary:	ALSA kernel modules
Summary(de.UTF-8):	ALSA Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku ALSA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-alsa
AutoReqProv:	no

%description sound-alsa
ALSA (Advanced Linux Sound Architecture) sound drivers.

%description sound-alsa -l de.UTF-8
ALSA (Advanced Linux Sound Architecture) Sound-Treiber.

%description sound-alsa -l pl.UTF-8
Sterowniki dźwięku ALSA (Advanced Linux Sound Architecture).

%package sound-oss
Summary:	OSS kernel modules
Summary(de.UTF-8):	OSS Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku OSS
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-oss
AutoReqProv:	no

%description sound-oss
OSS (Open Sound System) drivers.

%description sound-oss -l de.UTF-8
OSS (Open Sound System) Treiber.

%description sound-oss -l pl.UTF-8
Sterowniki dźwięku OSS (Open Sound System).

%package headers
Summary:	Header files for the Linux kernel
Summary(de.UTF-8):	Header Dateien für den Linux-Kernel
Summary(pl.UTF-8):	Pliki nagłówkowe jądra Linuksa
Group:		Development/Building
Provides:	%{name}-headers(netfilter) = 20070806
AutoReqProv:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when rebuilding the kernel or
building kernel modules.

%description headers -l de.UTF-8
Dies sind die C Header Dateien für den Linux-Kernel, die definierte
Strukturen und Konstante beinhalten, die beim rekompilieren des
Kernels oder bei Kernel Modul kompilationen gebraucht werden.

%description headers -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe jądra, niezbędne do rekompilacji jądra
oraz budowania modułów jądra.

%package module-build
Summary:	Development files for building kernel modules
Summary(de.UTF-8):	Development Dateien die beim Kernel Modul kompilationen gebraucht werden
Summary(pl.UTF-8):	Pliki służące do budowania modułów jądra
Group:		Development/Building
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Conflicts:	rpmbuild(macros) < 1.619
AutoReqProv:	no

%description module-build
Development files from kernel source tree needed to build Linux kernel
modules from external packages.

%description module-build -l de.UTF-8
Development Dateien des Linux-Kernels die beim kompilieren externer
Kernel Module gebraucht werden.

%description module-build -l pl.UTF-8
Pliki ze drzewa źródeł jądra potrzebne do budowania modułów jądra
Linuksa z zewnętrznych pakietów.

%package source
Summary:	Kernel source tree
Summary(de.UTF-8):	Der Kernel Quelltext
Summary(pl.UTF-8):	Kod źródłowy jądra Linuksa
Group:		Development/Building
Requires:	%{name}-module-build = %{epoch}:%{version}-%{release}
AutoReqProv:	no

%description source
This is the source code for the Linux kernel. You can build a custom
kernel that is better tuned to your particular hardware.

%description source -l de.UTF-8
Das Kernel-Source-Paket enthält den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu kompilieren, da sie auf Konstanten zurückgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien können auch
benutzt werden, um einen Kernel zu kompilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l fr.UTF-8
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont nécessaires pour compiler la plupart des
programmes C, car il dépend de constantes définies dans le code
source. Les sources peuvent être aussi utilisée pour compiler un noyau
personnalisé pour avoir de meilleures performances sur des matériels
particuliers.

%description source -l pl.UTF-8
Pakiet zawiera kod źródłowy jądra systemu.

%package doc
Summary:	Kernel documentation
Summary(de.UTF-8):	Kernel Dokumentation
Summary(pl.UTF-8):	Dokumentacja do jądra Linuksa
Group:		Documentation
AutoReqProv:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description doc -l de.UTF-8
Dies ist die Kernel Dokumentation wie sie im 'Documentation'
Verzeichniss vorgefunden werden kann.

%description doc -l pl.UTF-8
Pakiet zawiera dokumentację do jądra Linuksa pochodzącą z katalogu
/usr/src/linux/Documentation.

%prep
%setup -qc
ln -s %{SOURCE7} kernel-module-build.pl
ln -s %{SOURCE10} Makefile
cd linux-%{basever}

# hack against warning in pax/grsec
sed -i 's/-Werror//' arch/alpha/kernel/Makefile

%if "%{postver}" != ".0"
%{__bzip2} -dc %{SOURCE1} | patch -p1 -s
%endif

%if %{without vanilla}

# tuxonice:
%if %{with tuxonice}
%patch69 -p1
%patch70 -p1
%endif

%if %{with fbcondecor}
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1

## netfilter
#

# kernel-pom-ng-IPV4OPTSSTRIP.patch
%patch10 -p1

# kernel-pom-ng-mms-conntrack-nat.patch
%patch16 -p1

# kernel-pom-ng-rsh.patch
%patch22 -p1

# kernel-pom-ng-rpc.patch
%patch23 -p1

# kernel-nf_rtsp.patch
%patch36 -p1

# kernel-owner-xid.patch
%if %{with vserver}
%patch37 -p1
%endif

# kernel-layer7.patch
%patch40 -p1

##
# end of netfilter

# zph
%patch49 -p1

%if %{with imq}
%patch50 -p1
%endif

# reiser4
%if %{with reiser4}
%patch51 -p1
%endif

# esfq
%if %{with esfq}
%patch53 -p1
%endif

%if %{with wrr}
%patch52 -p1
%endif

# toshiba_acpi
%patch54 -p1

%patch55 -p1
%patch56 -p1

# kernel-rndis_host-wm5.patch
%patch59 -p1

# hostap enhancements from/for aircrack-ng
%patch85 -p1

# vserver
%if %{with vserver}
%patch100 -p1
%patch101 -p1
%endif

# forcedeth
%patch130 -p1

# aufs2
%if %{with reiser4}
%patch148 -p1
%endif
%patch145 -p1
%patch146 -p1

# unionfs
%patch140 -p1

%if %{with rescuecd}
%patch7000 -p1
%endif

# grsecurity & pax stuff
#

%if %{with grsecurity}
%patch9999 -p1
# aufs needs this
%patch147 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%endif
#
# end of grsecurity & pax stuff

# apparmor
%patch5000 -p1

%patch250 -p1

# virtio-gl
%patch400 -p1

%endif # vanilla

# Small fixes:
%patch2000 -p1
%patch2001 -p1
#%patch2003 -p1

# Do not remove this, please!
#%patch50000 -p1

# Fix EXTRAVERSION in main Makefile
sed -i 's#EXTRAVERSION =.*#EXTRAVERSION = %{?alt_kernel:_%{alt_kernel}}#g' Makefile

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' -o -name '.gitignore' ')' -print0 | xargs -0 -r -l512 rm -f

%build
install -d %{objdir}
cat > %{targetobj}.mk <<'EOF'
# generated by %{name}.spec
KERNELSRC		:= %{srcdir}
KERNELOUTPUT	:= %{objdir}

SRCARCH		:= %{target_arch_dir}
ARCH		:= %{_target_base_arch}
Q			:= %{!?with_verbose:@}
MAKE_OPTS	:= %{MakeOpts}
DEFCONFIG   := %{defconfig}
EOF

PaXconfig() {
	set -x
	cat <<-EOCONFIG > $1
	%ifarch %{ix86}
		CONFIG_PAX_SEGMEXEC=y
		# performance impact on CPUs without NX bit
		CONFIG_PAX_PAGEEXEC=n
		# Testing KERNEXEC

		CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM=n
		CONFIG_PCI_BIOS=n
		CONFIG_EFI=n
	%endif

	%ifarch ppc64
		CONFIG_PAX_NOELFRELOCS=n
	%endif
	%ifarch ppc
		CONFIG_PAX_EMUTRAMP=y
		CONFIG_PAX_EMUSIGRT=y
		CONFIG_PAX_EMUPLT=y
	%endif

	%ifarch sparc sparc64 alpha
		CONFIG_PAX_EMUPLT=y
	%endif

	# Now we have to check MAC system integration. Grsecurity uses PAX_HAVE_ACL_FLAGS
	# setting (direct acces). grsec_minimal probably have no idea about PaX so we probably
	# could use PAX_NO_ACL_FLAGS, but for testing the hooks setting will be used
	# PAX_HOOK_ACL_FLAGS.

	%if %{with grsecurity}
		# Hardening grsec options if with pax
		CONFIG_GRKERNSEC_PROC_MEMMAP=y
		# almost rational (see HIDESYM help)
		CONFIG_GRKERNSEC_HIDESYM=y

		# no change needed CONFIG=PAX_HAVE_ACL_FLAGS=y is taken from the kernel-pax.config
	%else
		CONFIG_PAX_HAVE_ACL_FLAGS=n
		CONFIG_PAX_HOOK_ACL_FLAGS=y
	%endif
EOCONFIG

	return 0
}

RescueConfig() {
	set -x
	cat <<-EOCONFIG > $1
		# CONFIG_SOUND is not set
		# CONFIG_AUDIT is not set
		# CONFIG_TR is not set
		# CONFIG_BT is not set
		# CONFIG_VIDEO_DEV is not set
		# CONFIG_DVB_CORE is not set
		# CONFIG_HAMRADIO is not set
		# CONFIG_ARCNET is not set
		# CONFIG_FB is not set
		# CONFIG_DRM is not set
		# CONFIG_WATCHDOG is not set
		# CONFIG_INPUT_JOYSTICK is not set
		# CONFIG_DEBUG_KERNEL is not set
		# CONFIG_ISDN is not set
		# CONFIG_AGP is not set
		# CONFIG_SECURITY is not set
		# CONFIG_PARIDE is not set
		# CONFIG_CPU_FREQ is not set
		# CONFIG_GAMEPORT is not set
		# CONFIG_KVM is not set
		# CONFIG_PHONE is not set
		# CONFIG_STRICT_DEVMEM is not set
		# CONFIG_IMA is not set
		CONFIG_AUFS=y
		CONFIG_AUFS_FS=y
		CONFIG_AUFS_BR_RAMFS=y
		CONFIG_AUFS_RDU=y
		CONFIG_BLK_DEV_LOOP=y
		CONFIG_ISO9660_FS=y
		CONFIG_NLS_UTF8=y
		CONFIG_SQUASHFS=y
EOCONFIG

	return 0
}

BuildConfig() {
	%{?debug:set -x}
	set -e

	Config="kernel-%{target_arch_dir}.config"
	echo >&2 "Building config file for %{_target_cpu} using $Config et al."

	# prepare local and important options
	cat <<-EOCONFIG > important.config
		LOCALVERSION="-%{localversion}"

%if 0%{?debug:1}
		CONFIG_DEBUG_SLAB=y
		CONFIG_DEBUG_SLAB_LEAK=y
		CONFIG_DEBUG_PREEMPT=y
		CONFIG_RT_DEADLOCK_DETECT=y
%endif

%if %{without ipv6}
		CONFIG_IPV6=n
%endif

%ifarch i686 athlon pentium3 pentium4
  %if %{with pae}
		CONFIG_HIGHMEM4G=n
		CONFIG_HIGHMEM64G=y
		CONFIG_X86_PAE=y
		CONFIG_NUMA=n
  %endif
%endif

%if %{without pcmcia}
		CONFIG_PCMCIA=n
%endif

%if %{with fbcondecor}
		CONFIG_FB_S3=n
		CONFIG_FB_VT8623=n
		CONFIG_FB_ARK=n
		CONFIG_FB_TILEBLITTING=n
		CONFIG_FB_CON_DECOR=y
%endif

%if %{with nfsroot}
		CONFIG_NFS_FS=y
		CONFIG_ROOT_NFS=y
%endif

# Temporary disabled RELOCATABLE. Needed only on x86??
%if %{with pax} || %{with grsecurity}
		CONFIG_RELOCATABLE=n
%endif
EOCONFIG

%if %{with rescuecd}
	RescueConfig rescue.config
%endif
%if %{with pax}
	PaXconfig pax.config
%endif

	# prepare kernel-style config file from multiple config files
	%{__awk} -v arch="all %{target_arch_dir} %{_target_base_arch} %{_target_cpu}" -f %{SOURCE6} \
%if %{with myown}
		$RPM_SOURCE_DIR/kernel-%{alt_kernel}.config \
%endif
		important.config \
%if %{without vanilla}
%if %{with rescuecd}
		%{SOURCE58} \
		rescue.config \
%endif
		\
%if %{with pax}
		%{SOURCE45} \
		%{SOURCE49} \
		pax.config \
%else
  %if %{with grsecurity}
		%{SOURCE45} \
		%{SOURCE50} \
  %endif
%endif
		\
%if %{with reiser4}
		%{SOURCE56} \
%endif
%if %{with wrr}
		%{SOURCE57} \
%endif
%if %{with imq}
		%{SOURCE55} \
%endif
%if %{with vserver}
		%{SOURCE43} \
%endif
%if %{with tuxonice}
%ifarch %{ix86} %{x8664} ia64 ppc ppc64
		%{SOURCE42} \
%endif
%endif
		%{SOURCE41} %{?0:patches} \
%endif
		%{SOURCE20} \
		$RPM_SOURCE_DIR/$Config
}

cd %{objdir}
install -d arch/%{target_arch_dir}
BuildConfig > %{defconfig}
ln -sf %{defconfig} .config
cd -

%{__make} \
	TARGETOBJ=%{targetobj} \
	%{?with_verbose:V=1} \
	oldconfig

%{__awk} %{?debug:-v dieOnError=1} -v infile=%{objdir}/%{defconfig} -f %{SOURCE8} %{objdir}/.config

# build kernel
%{__make} \
	TARGETOBJ=%{targetobj} \
	%{?with_verbose:V=1} \
	all

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{MakeOpts} -j1 %{!?with_verbose:-s} modules_install firmware_install \
	-C %{objdir} \
	%{?with_verbose:V=1} \
	DEPMOD=%{DepMod} \
	INSTALL_MOD_PATH=$RPM_BUILD_ROOT \
	INSTALL_FW_PATH=$RPM_BUILD_ROOT/lib/firmware/%{kernel_release} \
	KERNELRELEASE=%{kernel_release}

install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/misc

# create directories which may be missing, to simplyfy %files
install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/kernel/{arch,sound,mm}

# rpm obeys filelinkto checks for ghosted symlinks, convert to files
rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}
touch $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}

# no point embed content for %ghost files. empty them
for a in \
	dep{,.bin} \
	alias{,.bin} \
	devname \
	softdep \
	symbols{,.bin} \
	{pci,usb,ccw,isapnp,input,ieee1394,serio,of}map \
; do
	test -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/modules.$a
	> $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/modules.$a
done

# /boot
install -d $RPM_BUILD_ROOT/boot
cp -a %{objdir}/System.map $RPM_BUILD_ROOT/boot/System.map-%{kernel_release}
%ifarch %{ix86} %{x8664}
	cp -a %{objdir}/arch/%{target_arch_dir}/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
	install -p %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{kernel_release}
%endif
%ifarch ppc ppc64
	install -p %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
	install -p %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{kernel_release}
%endif
%ifarch ia64
	%{__gzip} -cfv %{objdir}/vmlinux > %{objdir}/vmlinuz
	cp -a %{objdir}/vmlinuz $RPM_BUILD_ROOT/boot/efi/vmlinuz-%{kernel_release}
	ln -sf efi/vmlinuz-%{kernel_release} $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
%endif
%ifarch alpha sparc sparc64
	%{__gzip} -cfv %{objdir}/vmlinux > %{objdir}/vmlinuz
	cp -a %{objdir}/vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
	install -p %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
	%ifarch sparc
		elftoaout %{objdir}/arch/sparc/boot/image -o %{objdir}/vmlinux.aout
		install -p %{objdir}/vmlinux.aout $RPM_BUILD_ROOT/boot/vmlinux.aout-%{kernel_release}
	%endif
	%ifarch sparc64
		elftoaout %{objdir}/arch/sparc64/boot/image -o %{objdir}/vmlinux.aout
		install -p %{objdir}/vmlinux.aout $RPM_BUILD_ROOT/boot/vmlinux.aout-%{kernel_release}
	%endif
%endif
%ifarch arm
	install -p %{objdir}/arch/arm/boot/zImage $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
%endif

# ghosted initrd
touch $RPM_BUILD_ROOT%{initrd_dir}/initrd-%{kernel_release}.gz

%if "%{_target_base_arch}" != "%{_arch}"
touch $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/modules.dep
%endif

# /etc/modrobe.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{kernel_release}

# /usr/src/linux
install -d $RPM_BUILD_ROOT%{_kernelsrcdir}

# test if we can hardlink -- %{_builddir} and $RPM_BUILD_ROOT on same partition
if cp -al %{srcdir}/COPYING $RPM_BUILD_ROOT/COPYING 2>/dev/null; then
	l=l
	rm -f $RPM_BUILD_ROOT/COPYING
fi

cp -a$l %{srcdir}/* $RPM_BUILD_ROOT%{_kernelsrcdir}
cp -a %{objdir}/Module.symvers $RPM_BUILD_ROOT%{_kernelsrcdir}/Module.symvers-dist
cp -aL %{objdir}/.config $RPM_BUILD_ROOT%{_kernelsrcdir}/config-dist
cp -a %{objdir}/include/generated $RPM_BUILD_ROOT%{_kernelsrcdir}/include
mv $RPM_BUILD_ROOT%{_kernelsrcdir}/include/generated/autoconf{,-dist}.h
cp -a %{objdir}/include/linux/version.h $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/generated/autoconf.h
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/config.h

# collect module-build files and directories
# Usage: kernel-module-build.pl $rpmdir $fileoutdir
fileoutdir=$(pwd)
cd $RPM_BUILD_ROOT%{_kernelsrcdir}
%{__perl} %{topdir}/kernel-module-build.pl %{_kernelsrcdir} $fileoutdir
cd -

# move to %{_docdir} so we wouldn't depend on any kernel package for dirs
install -d $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT{%{_kernelsrcdir}/Documentation,%{_docdir}/%{name}-%{version}}

rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/dontdiff
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/Makefile
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/*/Makefile
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/*/*/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --remove %{kernel_release}
fi

%post
%ifarch ia64
mv -f /boot/efi/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/efi/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz%{_alt_kernel}}
%endif
mv -f /boot/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
mv -f /boot/System.map{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/System%{_alt_kernel}.map{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz%{_alt_kernel}}
ln -sf System.map-%{kernel_release} /boot/System.map
%{?alt_kernel:ln -sf System.map-%{kernel_release} /boot/System.map%{_alt_kernel}}

%depmod %{kernel_release}

%posttrans
# generate initrd after all dependant modules are installed
/sbin/geninitrd -f --initrdfs=rom %{initrd_dir}/initrd-%{kernel_release}.gz %{kernel_release}
mv -f %{initrd_dir}/initrd{,.old} 2> /dev/null
%{?alt_kernel:mv -f %{initrd_dir}/initrd%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd
%{?alt_kernel:ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd%{_alt_kernel}}

# update boot loaders when old package files are gone from filesystem
if [ -x /sbin/update-grub -a -f /etc/sysconfig/grub ]; then
	if [ "$(. /etc/sysconfig/grub; echo ${UPDATE_GRUB:-no})" = "yes" ]; then
		/sbin/update-grub >/dev/null
	fi
fi
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --initrdfile=%{initrd_dir}/initrd-%{kernel_release}.gz --install %{kernel_release} --banner "PLD Linux (%{pld_release})%{?alt_kernel: / %{alt_kernel}}"
fi
if [ -x /sbin/rc-boot ]; then
	/sbin/rc-boot 1>&2 || :
fi

%post vmlinux
mv -f /boot/vmlinux{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinux-%{alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinux-%{kernel_release} /boot/vmlinux
%{?alt_kernel:ln -sf vmlinux-%{kernel_release} /boot/vmlinux-%{alt_kernel}}

%post drm
%depmod %{kernel_release}

%postun drm
%depmod %{kernel_release}

%post pcmcia
%depmod %{kernel_release}

%postun pcmcia
%depmod %{kernel_release}

%post sound-alsa
%depmod %{kernel_release}

%postun sound-alsa
%depmod %{kernel_release}

%post sound-oss
%depmod %{kernel_release}

%postun sound-oss
%depmod %{kernel_release}

%post headers
ln -snf %{basename:%{_kernelsrcdir}} %{_prefix}/src/linux%{_alt_kernel}

%postun headers
if [ "$1" = "0" ]; then
	if [ -L %{_prefix}/src/linux%{_alt_kernel} ]; then
		if [ "$(readlink %{_prefix}/src/linux%{_alt_kernel})" = "linux%{_alt_kernel}-%{version}" ]; then
			rm -f %{_prefix}/src/linux%{_alt_kernel}
		fi
	fi
fi

%triggerin module-build -- %{name} = %{epoch}:%{version}-%{release}
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/build
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/source

%triggerun module-build -- %{name} = %{epoch}:%{version}-%{release}
if [ "$1" = 0 ]; then
	rm -f /lib/modules/%{kernel_release}/{build,source}
fi

%files
%defattr(644,root,root,755)
%ifarch sparc sparc64
/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch ia64
/boot/efi/vmlinuz-%{kernel_release}
%endif
/boot/vmlinuz-%{kernel_release}
/boot/System.map-%{kernel_release}
%ghost %{initrd_dir}/initrd-%{kernel_release}.gz
/lib/firmware/%{kernel_release}

%dir /lib/modules/%{kernel_release}
%dir /lib/modules/%{kernel_release}/kernel
/lib/modules/%{kernel_release}/kernel/arch
/lib/modules/%{kernel_release}/kernel/crypto
/lib/modules/%{kernel_release}/kernel/drivers
%if %{have_drm}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif
/lib/modules/%{kernel_release}/kernel/fs
/lib/modules/%{kernel_release}/kernel/kernel
/lib/modules/%{kernel_release}/kernel/lib
/lib/modules/%{kernel_release}/kernel/net
/lib/modules/%{kernel_release}/kernel/mm
%if %{have_sound}
%dir /lib/modules/%{kernel_release}/kernel/sound
/lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
/lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%ifnarch sparc
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif
%endif
%dir /lib/modules/%{kernel_release}/misc
%if %{have_pcmcia}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/[!p]*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pd6729.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%if %{without rescuecd}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
%endif
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ide/ide-cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/tty/serial/serial_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif
%if %{with myown}
/lib/modules/%{kernel_release}/kernel/sound
%endif
/lib/modules/%{kernel_release}/kernel/security

%dir %{_sysconfdir}/modprobe.d/%{kernel_release}

# provided by build
/lib/modules/%{kernel_release}/modules.order
/lib/modules/%{kernel_release}/modules.builtin*

# rest modules.* are ghost (regenerated by post depmod -a invocation)
%ghost /lib/modules/%{kernel_release}/modules.alias
%ghost /lib/modules/%{kernel_release}/modules.alias.bin
%ghost /lib/modules/%{kernel_release}/modules.ccwmap
%ghost /lib/modules/%{kernel_release}/modules.dep
%ghost /lib/modules/%{kernel_release}/modules.dep.bin
%ghost /lib/modules/%{kernel_release}/modules.devname
%ghost /lib/modules/%{kernel_release}/modules.ieee1394map
%ghost /lib/modules/%{kernel_release}/modules.inputmap
%ghost /lib/modules/%{kernel_release}/modules.isapnpmap
%ghost /lib/modules/%{kernel_release}/modules.ofmap
%ghost /lib/modules/%{kernel_release}/modules.pcimap
%ghost /lib/modules/%{kernel_release}/modules.seriomap
%ghost /lib/modules/%{kernel_release}/modules.softdep
%ghost /lib/modules/%{kernel_release}/modules.symbols
%ghost /lib/modules/%{kernel_release}/modules.symbols.bin
%ghost /lib/modules/%{kernel_release}/modules.usbmap

# symlinks pointing to kernelsrcdir
%ghost /lib/modules/%{kernel_release}/build
%ghost /lib/modules/%{kernel_release}/source

%ifarch alpha %{ix86} %{x8664} ppc ppc64 sparc sparc64
%files vmlinux
%defattr(644,root,root,755)
/boot/vmlinux-%{kernel_release}
%endif

%if %{have_drm}
%files drm
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif

%if %{have_pcmcia}
%files pcmcia
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/pcmcia/*ko*
/lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pcmcia*ko*
%if %{without rescuecd}
/lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%endif
/lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/ide/ide-cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/tty/serial/serial_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif

%if %{have_sound}
%files sound-alsa
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound
%exclude %dir /lib/modules/%{kernel_release}/kernel/sound
%exclude /lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
%exclude /lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%if %{have_oss}
%exclude /lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%ifnarch sparc
/lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif

%if %{have_oss}
%files sound-oss
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%endif

%files headers -f files.headers_exclude_kbuild
%defattr(644,root,root,755)
%dir %{_kernelsrcdir}
%{_kernelsrcdir}/include
%dir %{_kernelsrcdir}/arch
%dir %{_kernelsrcdir}/arch/[!K]*
%{_kernelsrcdir}/arch/*/include
%dir %{_kernelsrcdir}/security
%dir %{_kernelsrcdir}/security/selinux
%{_kernelsrcdir}/security/selinux/include
%{_kernelsrcdir}/config-dist
%{_kernelsrcdir}/Module.symvers-dist

%files module-build -f files.mb_include_modulebuild_and_dirs
%defattr(644,root,root,755)
%ifarch ppc ppc64
%{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%exclude %dir %{_kernelsrcdir}/arch/um
%{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%{_kernelsrcdir}/drivers/lguest/lg.h
%{_kernelsrcdir}/drivers/media/video/bt8xx/bttv.h
%{_kernelsrcdir}/kernel/bounds.c
%dir %{_kernelsrcdir}/scripts
%{_kernelsrcdir}/scripts/Kbuild.include
%{_kernelsrcdir}/scripts/Makefile*
%{_kernelsrcdir}/scripts/basic
%{_kernelsrcdir}/scripts/kconfig
%{_kernelsrcdir}/scripts/mkcompile_h
%{_kernelsrcdir}/scripts/mkmakefile
%{_kernelsrcdir}/scripts/mod
%{_kernelsrcdir}/scripts/module-common.lds
%{_kernelsrcdir}/scripts/setlocalversion
%{_kernelsrcdir}/scripts/*.c
%{_kernelsrcdir}/scripts/*.sh
%dir %{_kernelsrcdir}/scripts/selinux
%{_kernelsrcdir}/scripts/selinux/Makefile
%dir %{_kernelsrcdir}/scripts/selinux/genheaders
%{_kernelsrcdir}/scripts/selinux/genheaders/Makefile
%{_kernelsrcdir}/scripts/selinux/genheaders/*.c
%dir %{_kernelsrcdir}/scripts/selinux/mdp
%{_kernelsrcdir}/scripts/selinux/mdp/Makefile
%{_kernelsrcdir}/scripts/selinux/mdp/*.c
%exclude %dir %{_kernelsrcdir}/security
%exclude %dir %{_kernelsrcdir}/security/selinux
%if %{with grsecurity}
%{_kernelsrcdir}/tools/gcc/*.c
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}-%{version}

%{_docdir}/%{name}-%{version}/[!jkz]*
%{_docdir}/%{name}-%{version}/[jkz]*.txt
%{_docdir}/%{name}-%{version}/kbuild
%{_docdir}/%{name}-%{version}/kdump
%lang(ja) %{_docdir}/%{name}-%{version}/ja_JP
%lang(ko) %{_docdir}/%{name}-%{version}/ko_KR
%lang(zh_CN) %{_docdir}/%{name}-%{version}/zh_CN
%endif

%if %{with source}
%files source -f files.source_exclude_modulebuild_and_dirs
%defattr(644,root,root,755)
%{_kernelsrcdir}/arch/*/[!Mik]*
%{_kernelsrcdir}/arch/*/kernel/[!M]*
%{_kernelsrcdir}/arch/ia64/install.sh
%{_kernelsrcdir}/arch/m68k/ifpsp060/[!M]*
%{_kernelsrcdir}/arch/m68k/ifpsp060/MISC
%{_kernelsrcdir}/arch/m68k/install.sh
%{_kernelsrcdir}/arch/parisc/install.sh
%{_kernelsrcdir}/arch/x86/ia32/[!M]*
%{_kernelsrcdir}/arch/ia64/kvm
%{_kernelsrcdir}/arch/powerpc/kvm
%ifarch ppc ppc64
%exclude %{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%{_kernelsrcdir}/arch/s390/kvm
%{_kernelsrcdir}/arch/x86/kvm
%exclude %{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%exclude %{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%exclude %{_kernelsrcdir}/drivers/lguest/lg.h
%exclude %{_kernelsrcdir}/drivers/media/video/bt8xx/bttv.h
%{_kernelsrcdir}/block
%{_kernelsrcdir}/crypto
%{_kernelsrcdir}/drivers
%{_kernelsrcdir}/firmware
%{_kernelsrcdir}/fs
%if %{with grsecurity} && %{without rescuecd}
%{_kernelsrcdir}/grsecurity
%endif
%{_kernelsrcdir}/init
%{_kernelsrcdir}/ipc
%{_kernelsrcdir}/kernel
%exclude %{_kernelsrcdir}/kernel/bounds.c
%{_kernelsrcdir}/lib
%{_kernelsrcdir}/mm
%{_kernelsrcdir}/net
%{_kernelsrcdir}/virt
%{_kernelsrcdir}/samples
%{_kernelsrcdir}/scripts/*
%exclude %{_kernelsrcdir}/scripts/Kbuild.include
%exclude %{_kernelsrcdir}/scripts/Makefile*
%exclude %{_kernelsrcdir}/scripts/basic
%exclude %{_kernelsrcdir}/scripts/kconfig
%exclude %{_kernelsrcdir}/scripts/mkcompile_h
%exclude %{_kernelsrcdir}/scripts/mkmakefile
%exclude %{_kernelsrcdir}/scripts/mod
%exclude %{_kernelsrcdir}/scripts/module-common.lds
%exclude %{_kernelsrcdir}/scripts/setlocalversion
%exclude %{_kernelsrcdir}/scripts/*.c
%exclude %{_kernelsrcdir}/scripts/*.sh
%exclude %dir %{_kernelsrcdir}/scripts/selinux
%exclude %{_kernelsrcdir}/scripts/selinux/Makefile
%exclude %dir %{_kernelsrcdir}/scripts/selinux/genheaders
%exclude %{_kernelsrcdir}/scripts/selinux/genheaders/Makefile
%exclude %{_kernelsrcdir}/scripts/selinux/genheaders/*.c
%exclude %dir %{_kernelsrcdir}/scripts/selinux/mdp
%exclude %{_kernelsrcdir}/scripts/selinux/mdp/Makefile
%exclude %{_kernelsrcdir}/scripts/selinux/mdp/*.c
%{_kernelsrcdir}/sound
%{_kernelsrcdir}/security
%exclude %{_kernelsrcdir}/security/selinux/include
%{_kernelsrcdir}/tools/*
%if %{with grsecurity}
%exclude %{_kernelsrcdir}/tools/gcc/*.c
%endif
%{_kernelsrcdir}/usr
%{_kernelsrcdir}/COPYING
%{_kernelsrcdir}/CREDITS
%{_kernelsrcdir}/MAINTAINERS
%{_kernelsrcdir}/README
%{_kernelsrcdir}/REPORTING-BUGS
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel.spec,v $
Revision 1.980  2011/09/23 19:18:29  arekm
- tg3 fix and grsec updated to grsecurity-2.2.2-3.0.4-201109190917.patch

Revision 1.979  2011/09/23 18:52:41  arekm
- rel 3.2

Revision 1.978  2011/09/16 17:38:54  arekm
- fix install; grsec up to grsecurity-2.2.2-3.0.4-201109150655.patch (parallel build fixed)

Revision 1.977  2011/09/12 12:26:50  baggins
- rel 3
- install entire includes/generated directory

Revision 1.976  2011/09/10 19:41:46  qboosh
- drivers/media/video/bt8xx/bttv.h describes external driver interface which can be used by other modules (like i2c, lirc...) possibly built out-of-tree - so moved to -module-build

Revision 1.975  2011/09/10 19:25:46  arekm
- release 2

Revision 1.974  2011/09/10 10:34:05  arekm
O: kernel%%{_alt_kernel}-char-lirc-streamzap

Revision 1.973  2011/09/10 10:32:18  arekm
O: kernel%%{_alt_kernel}-char-lirc-mceusb

Revision 1.972  2011/09/10 10:30:11  arekm
O: kernel%%{_alt_kernel}-char-lirc-ite8709

Revision 1.971  2011/09/10 10:28:31  arekm
O: kernel%%{_alt_kernel}-char-lirc-it87

Revision 1.970  2011/09/10 10:16:14  arekm
O: kernel%%{_alt_kernel}-char-lirc-ene0100

Revision 1.969  2011/09/08 15:41:55  arekm
- fix grsec info

Revision 1.968  2011/09/04 17:20:43  arekm
- rel 1

Revision 1.967  2011/08/30 06:55:13  arekm
- vserver up to patch-3.0.3-vs2.3.1-pre10.diff; grsec up to grsecurity-2.2.2-3.0.4-201108300001.patch; note - parallel build is broken now

Revision 1.966  2011/08/29 21:25:16  baggins
- 3.0.4

Revision 1.965  2011/08/26 10:06:18  arekm
- tools/gcc only with grsecurity

Revision 1.964  2011/08/26 07:33:14  arekm
- rel 1

Revision 1.963  2011/08/25 20:07:13  arekm
- grsec up to grsecurity-2.2.2-3.0.3-201108241901

Revision 1.962  2011/08/25 19:17:25  arekm
- force 1.619 macros which disable constify grsec plugin for external modules

Revision 1.961  2011/08/25 08:45:28  arekm
- rel 0.4; fix external modules build

Revision 1.960  2011/08/24 15:59:49  arekm
- rel 0.3

Revision 1.959  2011/08/24 11:37:36  arekm
- switch to aufs3

Revision 1.958  2011/08/24 10:22:19  arekm
- typo

Revision 1.957  2011/08/24 10:21:34  arekm
- resurect kernel-aufs2-no-const-grsec.patch with new way of dealing with things (unfinished)

Revision 1.956  2011/08/24 09:00:04  arekm
- update grsec to /grsecurity-2.2.2-3.0.3-201108232250.patch

Revision 1.955  2011/08/23 11:09:52  arekm
- rel 0.2; vserver up to patch-3.0.1-vs2.3.1-pre9

Revision 1.954  2011/08/18 12:23:43  baggins
- 3.0.3 already

Revision 1.953  2011/08/17 08:58:18  baggins
- update md5sum

Revision 1.952  2011/08/16 08:12:12  baggins
- 3.0.2

Revision 1.951  2011/08/05 20:04:03  arekm
- up to 3.0.1

Revision 1.950  2011/07/27 19:28:44  arekm
- rel 0.3; vserver patch-3.0-vs2.3.1-pre8.diff

Revision 1.949  2011/07/23 15:15:47  arekm
- vserver pre7

Revision 1.948  2011/07/23 07:28:01  arekm
- hostname change in guests fixed

Revision 1.947  2011/07/22 06:44:59  arekm
patch-3.0-rc7-vs2.3.1-pre5.diff

Revision 1.946  2011/07/22 06:39:29  baggins
- fetch 3.0

Revision 1.945  2011/07/13 06:46:50  baggins
- removed routes patch, most functionality has been merged earlier,
  patch probably won't be maintained

Revision 1.944  2011/07/12 18:19:22  draenog
- address of git repo with tuxonice for stable releases
- instruction how to generate patch for tuxonice

Revision 1.943  2011/07/12 16:30:07  baggins
- two more postver fixes

Revision 1.942  2011/07/12 16:14:41  baggins
- use X.Y.Z version, same as kernel internally

Revision 1.941  2011/07/12 11:26:25  arekm
- package modules.devname, modules.softdep, modules.builtin.bin

Revision 1.940  2011/07/12 11:07:58  arekm
- no need for comment now

Revision 1.939  2011/07/12 11:06:17  arekm
- hostname instead of net-tools

Revision 1.938  2011/07/12 11:03:52  arekm
- R/BR module-init-tools >= 3.16 with kernel x.y versioning support

Revision 1.937  2011/07/12 10:43:38  baggins
- removed non existing dirs from files

Revision 1.936  2011/07/12 09:35:19  baggins
- ipv4options match is in xtables-addons

Revision 1.935  2011/07/12 06:52:10  baggins
- rc7
- disable tuxonice by default, patch broken, project did not release anything
  since 2.6.38, you want it, you make it work

Revision 1.934  2011/07/11 23:40:44  draenog
- url of git repo for tuxonice

Revision 1.933  2011/07/11 10:39:43  baggins
- drop bzip2-lzma config, we use xz by default
- drop netfilter config and hackery in spec, just use patches.config
  for those few modules we add instead of additional confusing config
  (virtual Provides (netfilter) should probably go away too)

Revision 1.932  2011/07/11 09:47:43  baggins
- removed obsolete xfs-delaylog patch
- updated patches
- only grsec is missing

Revision 1.931  2011/07/10 21:13:44  baggins
- started playing with 3.0-rc, as 2.6.39 is missing some vital patches,
  and there is no sign of those patches ever being made
- 2.6.39 on LINUX_2_6_39 branch
- source0 md5 intentionaly bogus, don't pollute distfiles with random beta

Revision 1.930  2011/07/05 20:39:19  wrobell
- resurrected small fixes patch
- removed already applied chunks
- removed ppc chunks from the spec (pld does not support ppc anymore)

Revision 1.929  2011/07/05 07:24:57  wrobell
- small fixes patch is already applied

Revision 1.928  2011/07/04 10:22:37  baggins
- updated to linux-2.6.39-imq-multiqueue-test1.diff.bz2

Revision 1.927  2011/07/04 10:17:03  baggins
- 2.6.39.2

Revision 1.926  2011/05/31 23:18:57  wrobell
- removed some of the patches already applied in 2.6.39

Revision 1.925  2011/05/19 08:27:13  arekm
- fetch 2.6.39; 2.6.38 on LINUX_2_6_38

Revision 1.924  2011/05/19 08:24:00  arekm
- rel 8; blk elevator oops fix

Revision 1.923  2011/05/18 17:03:23  arekm
- rel 7; disable mutex debugging

Revision 1.922  2011/05/18 13:36:13  arekm
- rel 6; really apply ipset netlink patch

Revision 1.921  2011/05/18 12:05:58  arekm
- rel 5; add ipset netlink patch

Revision 1.920  2011/05/18 09:51:31  arekm
- rel 4; another bugfix

Revision 1.919  2011/05/18 09:21:56  arekm
- rel 3; grsec fixed

Revision 1.918  2011/05/18 08:54:52  arekm
- rel 2; grsec up to grsecurity-2.2.2-2.6.38.6-201105171931.patch

Revision 1.917  2011/05/15 14:07:24  arekm
- up to 2.6.38.6; vserver up to patch-2.6.38.6-vs2.3.0.37-rc15.diff; grsec up to grsecurity-2.2.2-2.6.38.6-201105111839.patch

Revision 1.916  2011/05/05 00:10:29  baggins
- vserver is broken, I'm not going to fix it ATM, -ELONGVACATION

Revision 1.915  2011/05/04 11:19:26  baggins
- fix grsec bcond usage

Revision 1.914  2011/05/04 11:17:54  baggins
- there is no apparmor bcond

Revision 1.913  2011/05/03 19:45:40  wrobell
- started updating to version 2.6.38.5 (works with --with-vanilla at the moment)

Revision 1.912  2011/05/01 15:22:09  sparky
- vanilla bcond fixes

Revision 1.911  2011/05/01 14:29:22  sparky
- netfilter config required for vanilla as well

Revision 1.910  2011/05/01 14:23:54  sparky
- added vanilla bcond: disables all patches and extra configs

Revision 1.909  2011/04/23 09:14:31  baggins
- rel 2
- fixed/updated grsec patch

Revision 1.908  2011/04/23 08:30:05  baggins
- updated to 2.6.38.4

Revision 1.907  2011/04/18 07:55:28  arekm
- grsec & vserver updated

Revision 1.906  2011/04/15 08:36:25  arekm
- drm fixes from http://intellinuxgraphics.org/2011Q1.html

Revision 1.905  2011/04/15 08:16:51  arekm
- 2.6.38.3 (not ready); vserver up to patch-2.6.38.3-vs2.3.0.37-rc12.diff

Revision 1.904  2011/04/07 18:51:23  arekm
- enable xfs delaylog

Revision 1.903  2011/04/02 08:57:01  arekm
- update vserver and grsecurity

Revision 1.902  2011/04/02 05:46:48  qboosh
- fix in wistron-amilo8210 patch; rel 2

Revision 1.901  2011/03/28 06:37:36  baggins
- rel 1

Revision 1.900  2011/03/28 06:15:35  baggins
- updated to 2.6.38.2

Revision 1.899  2011/03/27 09:46:29  arekm
- rel 1; update vserver to patch-2.6.38.1-vs2.3.0.37-rc9.dif; up grsec to grsecurity-2.2.2-2.6.38.1-201103262052.patch

Revision 1.898  2011/03/25 15:22:27  arekm
- rel 0.2; files fixed

Revision 1.897  2011/03/25 14:33:15  arekm
- grsec and aufs update

Revision 1.896  2011/03/25 12:36:14  arekm
- grsec test patch

Revision 1.895  2011/03/24 12:46:56  arekm
- up to 2.6.38.1; add xfs anti-oom fix for mounts with quota and many inodes

Revision 1.894  2011/03/21 19:03:57  arekm
- up to 38 version

Revision 1.893  2011/03/17 08:27:18  arekm
- unofficial tuxonice

Revision 1.892  2011/03/16 14:07:57  arekm
- update union patch

Revision 1.891  2011/03/15 08:42:23  arekm
- update vserver to patch-2.6.38-rc8-vs2.3.0.37-rc6.diff; drop TIOCGDEV.patch (merged); update config for .38

Revision 1.890  2011/03/15 07:23:09  arekm
- drop squashfs lzma support; use upstream xz support instead

Revision 1.889  2011/03/15 07:13:20  arekm
- fetch 2.6.38 tarball; 2.6.37 on LINUX_2_6_37

Revision 1.888  2011/03/14 22:03:34  baggins
- 2.6.37.4

Revision 1.887  2011/03/08 06:25:06  glen
- up to 2.6.37.3

Revision 1.886  2011/02/28 18:13:26  arekm
- rel 2; kernel-small_fixes is back after evil broke it; virtio conditional dropped (always build it as module)

Revision 1.885  2011/02/28 17:08:53  arekm
- revert wanrouter split, makes no sense

Revision 1.884  2011/02/28 08:34:03  arekm
- rel 1; grsec updated to grsecurity-2.2.1-2.6.37.2-201102271552.patch

Revision 1.883  2011/02/27 23:50:32  baggins
- updated to 2.6.37.2
- TODO: grsecurity (lots of already applied hunks)

Revision 1.882  2011/02/26 20:32:28  areq
- separate package wanrouter - to avoid conflict with wanrouter.ko from
  wanpipe.spec

Revision 1.881  2011/02/24 16:29:13  evil
- added virtio-gl-accel.patch and virtio_gl bcond for building kernels supporting OpenGL acceleration under qemu-gl guest OS

Revision 1.880  2011/02/23 10:59:34  arekm
- up to 2.6.37.1

Revision 1.879  2011/02/20 20:40:18  qboosh
- added linux-wistron-amilo8210 patch (support for F-S Amilo Pro 8210 keys and RFKILL)
  (for testing before submitting upstream)

Revision 1.878  2011/02/20 17:53:17  glen
- KERNELSRC = %{srcdir}

Revision 1.877  2011/02/10 19:01:36  arekm
- rel 5; fix prlimit64 (visible as postifx and getrlimit problem)

Revision 1.876  2011/02/01 18:00:51  baggins
- rel 4
- fix deadlock in XFS dquot reclaim

Revision 1.875  2011/02/01 05:41:09  arekm
- rel 3; updated vserver (credentials fixed) and grsecurity

Revision 1.874  2011/01/25 21:15:10  arekm
- rel 2; grsec updated to grsecurity-2.2.1-2.6.37-201101241824.patch (should fix i686 issue)

Revision 1.873  2011/01/19 18:00:46  arekm
- update grsec to http://grsecurity.net/~spender/grsecurity-2.2.1-2.6.37-201101172105.patch

Revision 1.872  2011/01/17 19:39:21  arekm
- rel 1

Revision 1.871  2011/01/17 11:14:24  arekm
- initial grsecurity update to grsecurity-2.2.1-2.6.37-201101170305.patch

Revision 1.870  2011/01/09 10:34:42  areq
- CONFIG_SQUASHFS=y for rescuecd

Revision 1.869  2011/01/08 18:14:59  arekm
- update routes, vserver and tuxonice patches

Revision 1.868  2011/01/06 11:12:16  arekm
http://vserver.13thfloor.at/Experimental/patch-2.6.37-vs2.3.0.37-rc1.diff

Revision 1.867  2011/01/05 19:36:29  arekm
- drop obsolete patches (mostly merged)

Revision 1.866  2011/01/05 09:07:16  arekm
- fetch 2.6.37; .36 is on LINUX_2_6_36

Revision 1.865  2010/12/21 20:58:24  arekm
- rel 2; update vserver (patch-2.6.36.2-vs2.3.0.36.38.2.diff) and grsecurity (grsecurity-2.2.1-2.6.36.2-201012192125.patch) patches

Revision 1.864  2010/12/10 08:36:27  arekm
- up to 2.6.36.2; grsec updated to grsecurity-2.2.1-2.6.36.2-201012092111.patch

Revision 1.863  2010/12/02 18:43:35  arekm
- rel 3; fix creds with vservers

Revision 1.862  2010/12/02 10:10:19  arekm
- update to http://www.grsecurity.net/~spender/grsecurity-2.2.1-2.6.36.1-201011280939.patch

Revision 1.861  2010/12/01 12:55:59  arekm
- fix some (very unlikely to happen) scsi problems

Revision 1.860  2010/11/25 19:20:50  arekm
- rel 2

Revision 1.859  2010/11/22 20:42:01  arekm
- up to 2.6.36.1

Revision 1.858  2010/11/22 11:46:48  arekm
- update grsec to http://www.grsecurity.net/~spender/grsecurity-2.2.0-2.6.36-201011151726.patch

Revision 1.857  2010/11/09 08:36:49  arekm
- rel 1; reiser4 disabled

Revision 1.856  2010/11/07 10:19:06  arekm
- updates for 2.6.36

Revision 1.855  2010/11/07 07:43:08  arekm
- grsec updated to grsecurity-2.2.0-2.6.36-201011062054.patch, vserver to patch-2.6.36-vs2.3.0.36.38.diff

Revision 1.854  2010/10/26 14:44:13  witekfl
- added (commented by default) the kernel-usb_reset.patch (for T41)
- do not remove it. It is easier to uncomment two lines, then patch
  kernel.spec every time.

Revision 1.853  2010/10/26 06:13:04  arekm
S: keyutils (dns resolver and other in kernel will needs this)

Revision 1.852  2010/10/25 06:15:38  arekm
- up to 2.6.36 version

Revision 1.851  2010/10/23 13:55:45  arekm
- update routes patch for 2.6.36

Revision 1.850  2010/10/23 13:23:48  arekm
- drop obsolete ppc files; fix endif

Revision 1.849  2010/10/23 13:04:21  baggins
- cut down changelog

Revision 1.848  2010/10/23 13:03:31  baggins
- cosmetics

Revision 1.847  2010/10/23 13:02:13  baggins
- killed grsec_minimal, and all that split, I and no one else don't care for it anymore

Revision 1.846  2010/10/23 12:56:29  baggins
- removed commented out tahoe9xxx patch, no one cared to update it for years

Revision 1.845  2010/10/22 08:46:00  arekm
- drop apparmor bcond (apparmor is in mainline)

Revision 1.844  2010/10/21 19:39:04  arekm
- patch-2.6.36-vs2.3.0.36.36.diff

Revision 1.843  2010/10/21 18:22:44  sparky
- stop distfiles from downloading patch-2.6.36.bz2 over and over...

Revision 1.842  2010/10/21 18:20:08  arekm
- add missing features in 2.6.36 apparmor

Revision 1.841  2010/10/21 17:13:30  arekm
- vserver for 2.6.36 + two delta patches

Revision 1.840  2010/10/21 08:35:33  arekm
- source of TIOC... patch

Revision 1.839  2010/10/21 07:58:51  arekm
- aufs2 patch update

Revision 1.838  2010/10/21 06:19:09  arekm
- fetch 2.6.36

Revision 1.837  2010/10/20 19:27:27  arekm
- rel 4

Revision 1.836  2010/10/20 19:07:36  arekm
- update grsec to grsecurity-2.2.0-2.6.35.7-201010191911.patch (includes fix from small fixes)

Revision 1.835  2010/10/17 10:51:02  arekm
- update tuxonice patch for real 2.6.35 version (previous one was random snap)

Revision 1.834  2010/10/16 20:13:53  paszczus
- layer7 patch updated, layer7 is now working! thx zbyniu
- release 3

Revision 1.833  2010/10/15 21:50:32  arekm
- rel 2; update grsecurity and vserver patches

Revision 1.832  2010/10/01 12:09:30  baggins
- switch aufs2 to aufs2.1 (aufs2 is unmaintained)
- resolve conflict between aufs2.1 and reiser4 (symbol exported by both patches)

Revision 1.831  2010/09/29 18:36:37  arekm
- up to 2.6.35.7; grsec updated to /grsecurity-2.2.0-2.6.35.6-201009281623.patch

Revision 1.830  2010/09/29 09:04:00  baggins
- rel 2

Revision 1.829  2010/09/29 08:58:38  baggins
- kill aufs1, it's dead and unmaintained for almost 2 years
- apply aufs2 unconditionally (with fixes wrt unionfs and grsecurity)

Revision 1.828  2010/09/27 08:50:48  arekm
- up to 2.6.35.6

Revision 1.827  2010/09/26 20:27:51  arekm
- grsec updated to http://www.grsecurity.net/~spender/grsecurity-2.2.0-2.6.35.5-201009241805.patch

Revision 1.826  2010/09/23 14:59:55  pawelz
- added CVE reference

Revision 1.825  2010/09/21 05:32:22  arekm
- up to 2.6.35.5
- fixes CVE-2010-3301

Revision 1.824  2010/09/20 21:21:04  witekfl
- fix issue with menuconfig (grey Select, Exit, Help buttons)

Revision 1.823  2010/09/20 19:46:37  pawelz
- rel 3

Revision 1.822  2010/09/20 18:49:00  pawelz
- added patch for netfilter#669 bug (broken iptables chains)

Revision 1.821  2010/09/20 16:14:31  pawelz
- dropped CVE-2010-3081 patch. It is subset of grsec_full.patch.

Revision 1.820  2010/09/20 15:32:23  pawelz
- added CVE reference (2.6.35.4-2 fixes CVE-2010-3081)

Revision 1.819  2010/09/20 09:17:43  baggins
- rel 2
- fix local root on 64bit kernels

Revision 1.818  2010/09/19 18:36:12  arekm
- rel 1

Revision 1.817  2010/09/19 17:30:24  arekm
- grsec from http://www.grsecurity.net/~spender/grsecurity-2.2.0-2.6.35.4-201009172030.patch
- fixes CVE-2010-3081

Revision 1.816  2010/09/06 17:16:59  arekm
- don't do parallel install (broken with make 3.82)

Revision 1.815  2010/09/06 15:21:56  arekm
- up to vserver patch-2.6.35.4-vs2.3.0.36.32.diff

Revision 1.814  2010/09/02 18:28:52  glen
- fix arm zImage install (noted by pawelz on devel-en)

Revision 1.813  2010/08/30 18:46:29  glen
- re-add kernel-TIOCGDEV.patch, from 2.6.22, used by blogd from showconsole

Revision 1.812  2010/08/27 06:28:50  arekm
- up to 2.6.35.4

Revision 1.811  2010/08/25 17:02:44  arekm
- updated imq patch

Revision 1.810  2010/08/25 16:58:17  arekm
- one accounting system should be enough (xt_ACCOUNT).

Revision 1.809  2010/08/25 16:53:23  arekm
- drop ACCOUNT ext; xt_ACCOUNT is in xtables-addons.spec

Revision 1.808  2010/08/25 16:49:22  arekm
- drop ROUTE extension - http://bugzilla.netfilter.org/show_bug.cgi?id=623

Revision 1.807  2010/08/25 10:04:04  glen
- lvm 2.02.28, is too old or needs sysfs_scan = 0 to recognize devices

Revision 1.806  2010/08/25 08:03:01  glen
- BR module-init-tools which creates .bin cache

Revision 1.805  2010/08/21 19:08:37  arekm
- updated aufs2

Revision 1.804  2010/08/21 00:10:42  baggins
- 2.6.35.3

Revision 1.803  2010/08/16 10:10:04  baggins
- removed patch90, my fancy dual/multipath-LSI config works fine without it
  and that patch was disabled for almost a year and 5 kernels

Revision 1.802  2010/08/11 05:58:54  arekm
- 2.6.35.1

Revision 1.801  2010/08/06 20:33:39  arekm
- tuxonice head patch

Revision 1.800  2010/08/05 19:52:26  arekm
- updated patches for 2.6.35 (vserver, apparmor, reiser4, unionfs, routes, imq)

Revision 1.799  2010/08/02 12:12:26  arekm
- fetch 2.6.35 tarball; 2.6.34.x on LINUX_2_6_34

Revision 1.798  2010/07/06 13:52:46  arekm
- rel 3; fixed

Revision 1.797  2010/07/06 13:36:02  arekm
- rel 2; patch fixed

Revision 1.796  2010/07/06 13:15:52  arekm
- rel 1

Revision 1.795  2010/07/06 12:06:45  arekm
- grsec url update

Revision 1.794  2010/07/05 19:26:41  arekm
- up to 2.6.34.1

Revision 1.793  2010/07/01 16:04:25  arekm
- tuxonice 3.1.1.1

Revision 1.792  2010/06/17 20:27:10  arekm
- squashfs lzma is back

Revision 1.791  2010/05/31 20:26:55  arekm
- updated aufs2 patch

Revision 1.790  2010/05/28 08:56:26  arekm
- reiser4 patch updated

Revision 1.789  2010/05/23 13:21:00  arekm
- update ipvs-nfct from upstream

Revision 1.788  2010/05/23 12:59:48  arekm
- update

Revision 1.787  2010/05/23 09:01:46  arekm
- updated link (no version for .34 yet)

Revision 1.786  2010/05/23 08:14:27  arekm
- drop lzma patches (included already); updated routes patch

Revision 1.785  2010/05/23 07:38:24  arekm
- vserver patch up to patch-2.6.34-vs2.3.0.36.30.4.pre6.diff

Revision 1.784  2010/05/17 13:55:54  arekm
- fetch 2.6.34 final; 2.6.33 is on LINUX_2_6_33

Revision 1.783  2010/05/13 06:29:09  arekm
- up to 2.6.33.4

Revision 1.782  2010/04/27 08:52:15  arekm
- up to 2.6.33.3

Revision 1.781  2010/04/02 06:17:12  arekm
- up to 2.6.33.2; up vserver patch

Revision 1.780  2010/03/17 10:37:42  patrys
- don't package genheaders twice
- rel 3

Revision 1.779  2010/03/17 10:01:56  arekm
- add genheaders to module-build

Revision 1.778  2010/03/16 22:21:04  arekm
- rel 2; tuxonice 3.1; apparmor 2.5

Revision 1.777  2010/03/16 21:15:38  arekm
- up apparmor to 2.5

Revision 1.776  2010/03/16 19:12:12  arekm
- tuxonice 3.1

Revision 1.775  2010/03/15 21:34:16  arekm
- up to 2.6.33.1

Revision 1.774  2010/03/13 22:38:01  arekm
- bump macros to 1.550

Revision 1.773  2010/03/13 22:25:18  arekm
- bump macros to 1.549

Revision 1.772  2010/03/12 20:51:33  arekm
- up vserver and grsec patches

Revision 1.771  2010/03/10 17:24:03  glen
- update initrd and boot loaders in posttrans so modules like nouveau are
  available from dependant packages, also fixes grub loader seeing about to be
  removed kernel images
- load grub config in subshell to avoid variable clobbering
- grub2 >= 1.97.2-2 has diagnostic messages in stdout, so make stderr messages visible
- conflict with older rpm without working posttrans support

Revision 1.770  2010/03/09 09:51:52  glen
- restore grub2 hook, disabled in config by default

Revision 1.769  2010/03/08 19:35:55  arekm
- drop grub2 hook, handle it via rc-boot if you really need it

Revision 1.768  2010/03/08 10:02:29  glen
- sanity check for modules.* on install

Revision 1.767  2010/03/08 09:58:52  arekm
- package modules.builtin

Revision 1.766  2010/03/07 13:32:39  arekm
- building external modules needs macros at least 1.547

Revision 1.765  2010/03/07 09:08:22  arekm
- generated headers are in generated now

Revision 1.764  2010/03/06 23:45:16  arekm
- squashfs lzma fixes

Revision 1.763  2010/03/06 23:16:51  arekm
- update squashfs-lzma

Revision 1.762  2010/03/06 20:31:07  arekm
- imq updated

Revision 1.761  2010/03/06 20:17:49  arekm
- update tuxonice and vserver patches

Revision 1.760  2010/03/06 20:05:49  arekm
- O: kernel-firmware

Revision 1.759  2010/03/06 11:04:24  arekm
- revert firmware subpackage; it never worked correctly

Revision 1.758  2010/02/25 23:09:40  arekm
- update patches

Revision 1.757  2010/02/25 22:47:02  arekm
- vserver updated

Revision 1.756  2010/02/25 09:49:18  arekm
- 2.6.33; just fetch tarball

Revision 1.755  2010/02/23 19:11:25  arekm
- up to 2.6.32.9

Revision 1.754  2010/02/10 16:51:36  glen
- should be %{epoch}:%{version}-%{release}

Revision 1.753  2010/02/10 16:16:41  arekm
- rel 2; fix S firmware subpackage

Revision 1.752  2010/02/09 21:33:36  arekm
- up to 2.6.32.8

Revision 1.751  2010/02/04 07:08:59  glen
- add latest version checking

Revision 1.750  2010/02/02 15:55:02  mguevara
- 2.6.32.7-2; kernel-imq.patch updated to linux-2.6.32-imq-test2.diff

Revision 1.749  2010/02/02 12:58:21  mguevara
- up to 2.6.32.7-1, updated grsec_full and vserver, small changes in
  reiser4

Revision 1.748  2010/01/31 10:57:25  glen
- grub2 hook added

Revision 1.747  2010/01/31 02:12:42  glen
- firmware subpackage (optional)

Revision 1.746  2010/01/07 08:19:50  arekm
- up to 2.6.32.3

Revision 1.745  2010/01/04 15:04:01  glen
- package modules.order, empty other ghost files (12.2k in size)

Revision 1.744  2010/01/04 14:12:56  glen
- fix _noautostrip pattern

Revision 1.743  2010/01/04 13:42:50  glen
- add doc bcond

Revision 1.742  2009/12/19 08:50:05  arekm
- up to 2.6.32.2

Revision 1.741  2009/12/16 17:05:57  arekm
- rel 1

Revision 1.740  2009/12/16 10:43:59  arekm
- merge ernel-grsec-no-stupid-SbO.patch into kernel-grsec_fixes.patch

Revision 1.739  2009/12/16 10:42:43  arekm
- fixes for grsec

Revision 1.738  2009/12/13 19:32:07  arekm
- vserver up to patch-2.6.32-vs2.3.0.36.27.diff

Revision 1.737  2009/12/13 19:27:52  arekm
- lzma support for squashfs

Revision 1.736  2009/12/06 02:06:41  sparky
- add kvm/api.txt documentation
- removed all powerpc libs portions - broken and unused for long time

Revision 1.735  2009/12/06 02:00:47  sparky
- create dirs kernel/arch and kernel/mm so ifarch's won't polute %files section

Revision 1.734  2009/12/05 20:25:12  arekm
- hwpoison supported only on x86_64 (or x86 but with sparsemem disabled)

Revision 1.733  2009/12/05 19:13:20  arekm
- drop PF_RING; it can be build outside kernel and no longer needs patching kernel

Revision 1.732  2009/12/05 03:17:02  sparky
- make distfiles happy

Revision 1.731  2009/12/05 03:09:26  sparky
- package modules under kernel/mm
- got rid of all duplicated files in headers <-> module-build <-> source
  subpackages

Revision 1.730  2009/12/05 00:30:53  sparky
- fix building modules
- try to eliminate some duplicate files

Revision 1.729  2009/12/04 19:21:52  arekm
- update patches for 2.6.32; they apply when using --without grsecurity

Revision 1.728  2009/12/04 18:42:51  arekm
- fetch 2.6.32; 2.6.31 is on LINUX_2_6_31

Revision 1.727  2009/12/03 23:34:11  mguevara
- 2.6.31.6-3, updated kernel-grsec_full.patch to
  grsecurity-2.1.14-2.6.31.6-200911151724.patch, adds GRKERNSEC_ROFS
  (runtime read-only mount protection) and PaX updates.

Revision 1.726  2009/11/23 23:42:07  baggins
- unionfs-2.5.3_for_2.6.31.diff

Revision 1.725  2009/11/17 22:43:38  glen
- cleanup -doc, %lang tags

Revision 1.724  2009/11/16 14:23:51  baggins
- XFS regression reviewed and ack-ed by maintainers

Revision 1.723  2009/11/16 13:34:28  baggins
- rel 2
- updated vserver patch to vs2.3.0.36.24
- added xfs-recover-quota patch

Revision 1.722  2009/11/10 09:41:05  arekm
- up to 2.6.31.6

Revision 1.721  2009/11/01 15:18:22  arekm
- rel 1; ipv6 issue seems to be finally fixed

Revision 1.720  2009/11/01 14:21:14  arekm
- rel 0.3; vserver patch updated to patch-2.6.31.5-vs2.3.0.36.21.diff

Revision 1.719  2009/10/30 17:39:25  glen
- move -doc files to %{_docdir}

Revision 1.718  2009/10/30 17:07:11  glen
- caps

Revision 1.717  2009/10/24 13:15:59  arekm
- rel 0.2; kms enabled

Revision 1.716  2009/10/23 09:06:31  arekm
- up to 2.6.31.5

Revision 1.715  2009/10/13 13:55:21  arekm
- up to 2.6.31.4

Revision 1.714  2009/10/08 09:45:25  arekm
- up to 2.6.31.3

Revision 1.713  2009/10/06 07:05:52  arekm
- up to 2.6.31.2; up vserver to 2.6.31.2-vs2.3.0.36.15 (big sched_hard changes)

Revision 1.712  2009/09/24 19:26:46  arekm
- interdiff for http://www.grsecurity.net/~spender/grsecurity-2.1.14-2.6.31-200909231938.patch applied

Revision 1.711  2009/09/24 18:56:48  arekm
- up to 2.6.31.1

Revision 1.710  2009/09/21 23:37:22  zbyniu
- aufs1 & aufs2 patches updated, each builds with rescuecd

Revision 1.709  2009/09/17 15:40:30  arekm
- don't strip vmlinux*

Revision 1.708  2009/09/16 08:01:02  pluto
- one more regression fix: http://patchwork.kernel.org/patch/45707, release 0.4.

Revision 1.707  2009/09/15 22:20:46  arekm
- rel 0.3; revert heap fix for now; add size_append fix (correct data is appended to lzma image)

Revision 1.706  2009/09/15 20:08:25  arekm
- rel 0.2; bigger heap when LZMA in use

Revision 1.705  2009/09/13 07:10:40  arekm
- http://www.tuxonice.net/downloads/all/current-tuxonice-for-2.6.31.patch-20090911-v1.bz2

Revision 1.704  2009/09/11 19:34:35  arekm
- fix entries overflow that can cause flickering

Revision 1.703  2009/09/11 12:47:34  arekm
- intel 8xx stability fixes

Revision 1.702  2009/09/11 06:41:52  arekm
- apparmor updated to latest version seen in ubuntu kernel

Revision 1.701  2009/09/10 20:19:56  arekm
- new vserver patch

Revision 1.700  2009/09/10 10:46:58  arekm
- initial 2.6.31

Revision 1.699  2009/09/07 08:06:04  adamg
- define NUMA for pae bcond

Revision 1.698  2009/08/25 19:45:40  arekm
- disable scan async for now (http://marc.info/?l=linux-scsi&m=125122853823980&w=2)

Revision 1.697  2009/08/22 17:26:06  arekm
- rel 0.3; vs up to pre 7

Revision 1.696  2009/08/22 14:46:26  arekm
- rel 0.2; addr selection fixes

Revision 1.695  2009/08/20 18:09:26  arekm
- make verbose work again

Revision 1.694  2009/08/19 13:01:01  arekm
- drop intel patch

Revision 1.693  2009/08/19 12:30:08  mguevara
- up to 2.6.30.5-0.1, CVE-2009-2692
- kernel-vserver-2.3.patch updated to interdiff between
  patch-2.6.30.5-vs2.3.0.36.14-pre5.diff and
  patch-2.6.30.4-vs2.3.0.36.14-pre4.diff
- kernel-grsec_full.patch updated based on pax-linux-2.6.30.5-test22.patch
- enabled PAX_REFCOUNT and PAX_NOELFRELOCS in kernel-pax.config
  (only for --with pax bcond)
- commented out patch250 kernel-intel-2009q2-against-2.6.30.1.patch

Revision 1.692  2009/08/16 18:53:42  arekm
- apply interdiff to grsecurity-2.1.14-2.6.30.4-200908132040.patch

Revision 1.691  2009/08/08 14:03:30  arekm
- use %unglobal macro (define/undefine work as push/pop on the stack; unglobal does pop all values from the stack)

Revision 1.690  2009/08/06 11:25:30  mguevara
- 2.6.30.4-0.3; changed bcond pax_full -> pax; removed patches 9997
  kernel-pax_selinux_hooks.patch and 9998 kernel-pax.patch; more cleanup

Revision 1.689  2009/08/04 16:12:36  mguevara
- up to 2.6.30.4-0.2; updated imq patches and enabled imq bcond; cleanup

Revision 1.688  2009/07/31 10:02:33  arekm
- up to 2.6.30.4; updated grsecurity full

Revision 1.687  2009/07/29 06:43:30  arekm
- add intel drm driver fixes

Revision 1.686  2009/07/28 08:58:19  arekm
- 2.6.30.3

Revision 1.685  2009/07/24 10:43:02  arekm
- disable IMA for rescuecd

Revision 1.684  2009/07/21 20:27:10  arekm
- don't use CONFIG_STRICT_DEVMEM for rescue

Revision 1.683  2009/07/21 15:56:49  arekm
- better howto update configs

Revision 1.682  2009/07/21 03:41:44  arekm
- update to latest version

Revision 1.681  2009/07/20 23:26:36  arekm
- drop obsolete apparmor unionfs/aufs patches

Revision 1.680  2009/07/20 21:27:11  arekm
- CONFIG_SECURITY_APPARMOR_NETWORK=y

Revision 1.679  2009/07/20 13:22:47  arekm
- reapply apparmor

Revision 1.678  2009/07/20 13:14:58  arekm
- tomoyo merged; apparmor doesn't conflict with grsec now so drop obsolete patches

Revision 1.677  2009/07/20 12:57:26  arekm
- started update to 2.6.30; patches apply when using --without grsecurity

Revision 1.676  2009/07/03 06:29:28  arekm
- drop tproxy

Revision 1.675  2009/06/02 15:19:19  baggins
- C util-vserver < 0.30.216 (0.30.216 solves hostname problems in vservers)

Revision 1.674  2009/06/02 15:17:59  baggins
- 2.6.29.4

Revision 1.673  2009/05/17 17:18:50  sparky
- drop without smp bcond - may be easily acompilshed using "myown" build

Revision 1.672  2009/05/17 17:13:43  sparky
- improved myown support

Revision 1.671  2009/05/17 12:57:25  sparky
- up to 2.6.29.3

Revision 1.670  2009/05/08 19:23:20  adamg
- updated to 2.6.29.2 (builds and works --without apparmor --without grsecurity)

Revision 1.669  2009/04/28 22:14:11  zbyniu
- unionfs disabled for rescuecd - problems with aufs2

Revision 1.668  2009/04/26 21:49:56  zbyniu
- aufs2.patch added for rescuecd

Revision 1.667  2009/04/13 15:54:54  lmasko
- TuxOnIce up to 3.0.1 with modular build fix. Builds and works with kernel
  2.6.29.1.

Revision 1.666  2009/04/06 21:33:08  baggins
- esfq/wrr updated for 2.6.29

Revision 1.665  2009/04/06 19:40:22  arekm
- rel 0.2

Revision 1.664  2009/04/06 19:15:28  arekm
- esfq/wrr off (broken on 2.6.29)

Revision 1.663  2009/04/06 18:48:43  vip
- fix booting with lzma image ("bad header" error)

Revision 1.662  2009/04/06 18:44:57  arekm
- grsec updated to http://www.grsecurity.net/~spender/grsecurity-2.1.14-2.6.29-200903281534.patch

Revision 1.661  2009/04/06 17:38:42  arekm
- vs2.3 updated; grsec note

Revision 1.660  2009/04/04 13:01:29  lmasko
- TuxOnIce up to stable version 3.0.

Revision 1.659  2009/04/03 18:51:39  areq
- 2.6.29.1

Revision 1.658  2009/03/31 20:28:12  sparky
- added target_arch_dir for sparc(64), both sparcs need some love, they won't
  work in current state

Revision 1.657  2009/03/31 13:56:30  baggins
- renamed patches, waiting for cvsadmin to do server side copy

Revision 1.656  2009/03/31 13:24:31  baggins
- renamed tahoe9xx-2.6.24.patch to kernel-tahoe9xx.patch

Revision 1.655  2009/03/31 12:11:13  baggins
- merged from LINUX_2_6
- cut down changelog
